goalFindPoliceNumber.mSteps = 
{
	{ action = "click", object = objectPhonenumberPiece0 },
	{ action = "click", object = objectPhonenumberPiece1 },
	{ action = "click", object = objectPhonenumberPiece2 },
	{ action = "click", object = objectPhonenumberPiece3 },
	{ action = "click", object = objectPhonenumberPiece4 },
	{ action = "click", object = objectPhonenumberPiece5 },
	{ action = "click", object = objectPhonenumberPiece6 },
	{ action = "click", object = objectPhonenumberPiece7 },
	{ action = "click", object = objectPhonenumberPiece8 },
	{ action = "click", object = objectBedroomUsefulphonenumbers },
	{ action = "click", object = objectBedroomPhonenumbersBackground, selection = objectPhonenumberPiecesGroup },
	{ action = "solve", layout = layoutBedroomPhoneNumbers },
}
-- ----------------------------------------------------------------------------
function goalFindPoliceNumber:onSolveFinish(layout)

	if (layoutBedroomPhoneNumbers == layout) then
		self:achieved()
	end

end
-- ----------------------------------------------------------------------------
function goalFindPoliceNumber:onStarted()
    
    objectPhonenumberPiece0:ss(kActive)
    objectPhonenumberPiece1:ss(kActive)
    objectPhonenumberPiece2:ss(kActive)
    objectPhonenumberPiece3:ss(kActive)
    objectPhonenumberPiece4:ss(kActive)
    objectPhonenumberPiece5:ss(kActive)
    objectPhonenumberPiece6:ss(kActive)
    objectPhonenumberPiece7:ss(kActive)
    objectPhonenumberPiece8:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalFindPoliceNumber:onClickHO(layout, object, props, x, y)

	if (objectPhonenumberPiecesGroup:isFound()) then
		think("MESSAGE_PHONE_NUMBER_PIECES")
	end

end